
import java.sql.*;

public class JdbcConnectionTimeout {

    public static void main(String args[]) {

        Connection con = null;
        Statement st = null;
        ResultSet rs = null;

        String url = "jdbc:mysql://localhost:3306/";
        String db = "komal";
        String driver = "com.mysql.jdbc.Driver";
        String user = "root";
        String pass = "root";

        try {
            Class.forName(driver);
            DriverManager.setLoginTimeout(10);
            System.out.println("Connection Login Timeout : " +
                    DriverManager.getLoginTimeout());

            con = DriverManager.getConnection(url + db, user, pass);

            st = con.createStatement();

            String sql = "select * from customer";
            rs = st.executeQuery(sql);

            System.out.println("First Name  \tLast Name");
            while (rs.next()) {
                System.out.print(rs.getString("First_Name") + "   \t");
                System.out.println(rs.getString("Last_Name"));
            }
        } catch (Exception e) {
            System.out.println(e);
        }
    }
}
